const express = require("express");
const router = express.Router();
let UUIDUtil = require("../utils/UUIDUtil");

const HunanService = require("./service/HunanService");


hunanService = new HunanService()

router.post('/getMMCookie', (req, res) => {
    let uuid = UUIDUtil.uuid;
    let key = req.body.key
    let str = req.body.str
    let start = new Date();
    try {
        // 执行
        let response = hunanService.aes_MM_cookie(key, str);
        return res.status(200).send(response);
    } catch (e) {
        console.error(e.stack)
        return res.status(500).send(e.message)
    } finally {
        console.log(`${uuid};getMMCookie ${new Date() - start} ms`)
    }
})

module.exports = router